#
#
# API
#
#

geolocation.api:
  version: 8.x-3.x
  js:
    js/geolocation-api.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/once

geolocation.geocoder.api:
  version: 8.x-3.x
  js:
    js/geolocation-geocoder-api.js: {}
  dependencies:
    - core/once
    - jquery_ui_autocomplete/autocomplete

geolocation.widget.api:
  version: 8.x-3.x
  js:
    js/geolocation-widget-api.js: {}
  dependencies:
    - geolocation/geolocation.api

geolocation.widget.map:
  version: 8.x-3.x
  js:
    js/geolocation-widget-map.js: {}
  dependencies:
      - geolocation/geolocation.map
      - geolocation/geolocation.widget.api

#
#
# Mapping
#
#

geolocation.map:
  version: 8.x-3.x
  css:
    theme:
      css/geolocation-map.css: {}
  js:
    js/geolocation-map.js: {}
  dependencies:
    - geolocation/geolocation.api
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
    - core/jquery

geolocation.commonmap:
  js:
    js/geolocation-common-map.js: {}
  dependencies:
    - geolocation/geolocation.map

#
# Map Center
#
map_center.static_location:
  js:
    js/MapCenter/static-location.js: {}

map_center.fitlocations:
  js:
    js/MapCenter/fitlocations.js: {}

map_center.fixed_boundaries:
  js:
    js/MapCenter/fixedBoundaries.js: {}

map_center.client_location:
  js:
    js/MapCenter/client-location.js: {}

map_center.viewsBoundaryFilter:
  js:
    js/MapCenter/viewsBoundaryFilter.js: {}

map_center.viewsBoundaryArgument:
  js:
    js/MapCenter/viewsBoundaryArgument.js: {}


#
# Location Input
#
location_input.client_location:
  js:
    js/LocationInput/client-location.js: {}
  dependencies:
    - core/jquery
    - core/once

location_input.geocoder:
  js:
    js/LocationInput/geocoder.js: {}
  dependencies:
    - geolocation/geolocation.geocoder.api
    - core/jquery
    - core/once

#
#
# Views
#
#

# Geolocation views filter geocoder function.
geolocation.views.filter.geocoder:
  version: 8.x-3.x
  js:
    js/geolocation-views-filter-geocoder.js: {}
  dependencies:
    - geolocation/geolocation.geocoder.api

#
#
# Widgets
#
#

# HTML5 widget library.
geolocation.widgets.html5:
  version: 8.x-3.x
  css:
    theme:
      css/geolocation-widget-html5.css: {}
  js:
    js/geolocation-widget-html5.js: {}

#
# Map Features
#

# Marker Scroll to ID support.
geolocation.marker_scroll_to_id:
  js:
    js/MapFeature/geolocation-marker-scroll-to-id.js: {}
